\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1cm,y=1cm]
\begin{axis}[
x=1cm,y=1cm,
axis lines=middle,
ymajorgrids=true,
xmajorgrids=true,
xmin=-3,
xmax=3,
ymin=-3,
ymax=3,
xtick={-3,-2,...,3},
ytick={-3,-2,...,3},]
\clip(-3,-3) rectangle (3,3);
\draw[line width=1.5pt,smooth,samples=100,domain=-4:-0.1] plot(\x,{1/(\x)});
\draw[line width=1.5pt,smooth,samples=100,domain=0.1:4] plot(\x,{1/(\x)});
\end{axis}
\end{tikzpicture}